<div class="row text-left">
  <div class="col-12">
    <div class="content-header">สินค้า</div>
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->

<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">

          <div class="card-body">
            <div class="text-right navbar-right" style="margin-top: -10px; margin-bottom: 10px;">

              <form class="navbar-form  mt-1 searchform" [formGroup]="searchForm" (ngSubmit)="search()">
                <div class="position-relative has-icon-right">
                  <input class="form-control round" formControlName="search" placeholder="Search" type="text">
                  <div class="form-control-position">
                    <i class="ft-search"></i>
                  </div>

                </div>

              </form>
              <button style="margin-bottom: 5px;" class="btn btn-raised mr-1 btn-primary" (click)="open({p_id:'0'})"><i
                  class="fa fa-plus"></i>
                เพิ่มสินค้า</button>

            </div>

            <table class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 50px;">#</th>
                  <th style="width: 120px;">ลำดับแสดงผล</th>
                  <th style="width: 60px;" class="text-center">ภาพ</th>
                  <th>ชื่อสินค้า</th>
                  <th>รายละเอียด</th>
                  <th>สถานะ</th>
                  <th style="width: 145px;" class="text-center">จัดการ</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let t of products ; let i = index">
                  <th scope="row">{{i+1}}</th>
                  <th scope="row">{{t.sort}}</th>
                  <td style="padding: 2px;"><img style="width: 150px;border-radius: 5px;" src="{{t.p_img}}"></td>
                  <td>{{t.p_name.th}}</td>
                  <td>
                    <div  [innerHTML]="t.how_to_use.th"></div>
                  </td>
                  <td>
                    <span *ngIf="t.show==true" class="badge badge-success">แสดง</span>
                    <span *ngIf="t.show==false" class="badge badge-secondary">ซ่อน</span>
                  </td>
                  <td>
                    <!-- <button href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                      (click)="view_profile(t)"><i class="fa fa-eye"></i> ดู</button> -->
                    <a href="javascript:void(0)" (click)="open(t)" class="btn btn-raised mr-1 btn-sm btn-warning"><i
                        class="fa fa-edit"></i> แก้ไข</a>
                    <a href="javascript:void(0)" (click)="delete_product(t)"
                      class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>
                  </td>
                </tr>

              </tbody>
            </table>
            <div class="col-12 justify-content-center">
              <ngb-pagination [collectionSize]="all_page" (pageChange)="change_page($event)" class="justify-content-center"
               [pageSize]='20' [(page)]="page"></ngb-pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->